Skip to main content

BVN Basic

[GET]
{{baseUrl}}/api/v1/kyc/bvn/full
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParameterTypeDescriptionRequired
bvn *stringA valid bvnrequired

Sample response

Response
{
  "entity": {
        "bvn": "22171234567",
        "first_name": "JOHN",
        "last_name": "DOE",
        "middle_name": "AHMED",
        "gender": "Male",
        "date_of_birth": "1997-05-16",
        "phone_number1": "08012345678",
        "image": "BASE 64 IMAGE",
        "phone_number2": "08012345678"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the BVN holder’s identity details
entity.bvnstringBank Verification Number
entity.first_namestringFirst name of the BVN holder
entity.last_namestringLast name of the BVN holder
entity.middle_namestringMiddle name of the BVN holder
entity.genderstringGender of the BVN holder
entity.date_of_birthstringDate of birth in YYYY-MM-DD format
entity.phone_number1stringPrimary phone number linked to the BVN
entity.imagestringBase64-encoded photograph of the BVN holder
entity.phone_number2stringSecondary phone number linked to the BVN

BVN Advanced

[GET]
{{baseUrl}}/api/v1/kyc/bvn/advance

Header

HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParameterTypeDescriptionRequired
bvn *stringA valid bvnrequired

Sample response

Response
{
  "entity": {
        "bvn": "22171234567",
        "first_name": "JOHN",
        "last_name": "DOE",
        "middle_name": "AHMED",
        "gender": "Male",
        "date_of_birth": "1997-05-16",
        "phone_number1": "08012345678",
        "image": "BASE 64 IMAGE",
      	"email": "johndoe@gmail.com",
        "enrollment_bank": "GTB",
        "enrollment_branch": "IKEJA",
        "level_of_account": "LEVEL 2",
        "lga_of_origin": "OSOGBO",
        "lga_of_residence": "IKEJA",
        "marital_status": "SINGLE",
        "name_on_card": "",
        "nationality": "NIGERIAN",
        "phone_number2": "08012345678",
        "registration_date": "",
        "residential_address": "",
        "state_of_origin": "OSUN",
        "state_of_residence": "LAGOS",
        "title": "MISS",
        "watch_listed": "NO"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the BVN holder’s identity details
entity.bvnstringBank Verification Number
entity.first_namestringFirst name of the BVN holder
entity.last_namestringLast name of the BVN holder
entity.middle_namestringMiddle name of the BVN holder
entity.genderstringGender of the BVN holder
entity.date_of_birthstringDate of birth in YYYY-MM-DD format
entity.phone_number1stringPrimary phone number linked to the BVN
entity.imagestringBase64-encoded photograph of the BVN holder
entity.emailstringEmail address of the BVN holder
entity.enrollment_bankstringBank where the BVN was enrolled
entity.enrollment_branchstringBranch where the BVN was enrolled
entity.level_of_accountstringAccount level classification
entity.lga_of_originstringLocal Government Area of origin
entity.lga_of_residencestringLocal Government Area of residence
entity.marital_statusstringMarital status of the BVN holder
entity.name_on_cardstringName printed on the BVN card
entity.nationalitystringNationality of the BVN holder
entity.phone_number2stringSecondary phone number linked to the BVN
entity.registration_datestringBVN registration date
entity.residential_addressstringResidential address of the BVN holder
entity.state_of_originstringState of origin
entity.state_of_residencestringState of residence
entity.titlestringTitle of the BVN holder (e.g., Mr, Mrs, Miss)
entity.watch_listedstringWhether the BVN holder is on a watchlist

Test Credentials for Sandbox

Kindly use this Test BVN in sandbox Environment bvn = 22222222222